For the complete documentation index, see llms.txt. This page is also available as Markdown.

Previews

Get a preview by its id. Returns as a redirect to the signed url.

get
Path parameters
preview_idstring · uuidRequired
Query parameters
drive_idstring · uuidRequired

The id of the drive this asset is in

namestring · nullableOptional

The name of the preview to get

authorizationstring · nullableOptional

The authorization token to use to fetch the preview

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

Successful Response

application/json
anyOptional
get/previews/url/{preview_id}
GET /previews/url/{preview_id}?drive_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Last updated

Was this helpful?